UUSIMMAT

Google ja Intel varoittivat vakavasta Bluetooth-haavoittuvuudesta Linuxissa

17.10.2020 08:50 | Muropaketin toimitus

Google ja Intel varoittivat vakavasta Bluetooth-ongelmasta, joka koskee kaikkia muita Linux-ytimen versioita paitsi uusinta versiota 5.9.

Googlen tutkijan mukaan bugi sallii hyökkääjän ajaa koodia käyttöjärjestelmässä, jos pahantekijä on Bluetooth-kantaman päässä. Haavoittuvuus sijaitsee BlueZ-ohjelmistopinossa, joka on oletuksena kaikkien Bluetooth-ydinprotokollien ja -ydinkerrosten pohjana.

BlueZ aikoo julkaista päivityksiä, jotta BleedingTooth-nimen saanut haavoittuvuus saataisiin pois päiväjärjestyksestä. Käyttäjät voivat puolestaan asentaa kernelin uusimman version korjatakseen haavoittuvuuden.

Työpöytäkoneiden ja kannettavien tietokoneiden lisäksi Linuxia käytetään monenlaisissa muissakin kuluttaja- sekä teollisuuslaitteissa, jotka saattavat olla hyökkäykselle alttiita.

Muropaketin uusimmat